package com.bytedance.android.livesdk.qa;

import X.0Aq;
import X.0Au;
import X.0BA;
import X.0BB;
import X.0BC;
import X.G6F;
import X.G82;
import X.OJw;
import X.Pm5;
import androidx.lifecycle.LiveData;
import com.bytedance.android.live.core.paging.viewmodel.PagingViewModel;
import com.bytedance.android.livesdkapi.depend.model.live.Room;
import com.bytedance.covode.number.Covode;

public class QuestionViewModel extends PagingViewModel<G6F> {
    public OJw<Object> LIZ = new OJw<>();
    public LiveData<0BC<G6F>> LJIIIIZZ;
    public G82 LJIIIZ;
    public 0Aq LJIIJ;
    public 0BB LJIIJJI;

    static {
        Covode.recordClassIndex(20161);
    }

    public final void LIZIZ() {
        this.LIZ.onNext(Pm5.LIZJ);
    }

    public QuestionViewModel() {
        0BA r1 = new 0BA();
        r1.LIZIZ = 2;
        r1.LIZ = 50;
        this.LJIIJJI = r1.LIZ();
    }

    public final void LIZ(Room room, boolean z, boolean z2, boolean z3, boolean z4) {
        this.LJIIIZ = new G82(this.LJ, this.LIZJ, this.LIZLLL, this.LIZIZ, this.LIZ, z3, z4);
        this.LJIIJ = new 0Aq() {
            static {
                Covode.recordClassIndex(20162);
            }

            public final 0Au LIZ() {
                return QuestionViewModel.this.LJIIIZ;
            }
        };
        this.LJIIIZ.LIZ(room);
        this.LJIIIZ.LJII = z;
        this.LJIIIZ.LJIIIIZZ = z2;
    }
}
